Bug 12749 - Can't case-rename files with vfs_fruit
Can't case-rename files with vfs_fruit
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-19 10:47 UTC by Ralph Böhme
Modified: 2017-05-02 07:32 UTC (History)
3 users (show)

See Also:


Attachments
Patch for 4.5 and 4.6 cherry-picked from master (2.40 KB, patch)
2017-04-24 08:11 UTC, Ralph Böhme
jra: review+
slow: review? (uri)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-04-19 10:47:41 UTC
When trying to rename files changing just the case, for example

  foo -> Foo

is giving the error

  "The name "Foo" is already taken.
   Please choose a different name."

This happens because of a mistake in vfs_fruit dealing with the result from lp_case_sensitive().

Patch to follow.

Workaround: just set "case sensitive = no" for the share (or globally).
Comment 1 Ralph Böhme 2017-04-24 08:11:19 UTC
Created attachment 13171 [details]
Patch for 4.5 and 4.6 cherry-picked from master
Comment 2 Jeremy Allison 2017-04-24 17:48:57 UTC
Re-assigning to Karolin for inclusion in 4.6.next, 4.5.next.
Comment 3 Karolin Seeger 2017-04-28 07:09:42 UTC
(In reply to Jeremy Allison from comment #2)
Pushed to autobuild-v4-{6,5}-test.
Comment 4 Karolin Seeger 2017-05-02 07:32:13 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!